## kpty 5.97.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.97.0") # handled by release scripts
set(KF_DEP_VERSION "5.97.0") # handled by release scripts
project(KPty VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.97.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

# Includes
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(KDEGitCommitHooks)
include(ECMMarkNonGuiExecutable)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMAddQch)
include(CMakePackageConfigHelpers)
include(GenerateExportHeader)

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} "${REQUIRED_QT_VERSION}" CONFIG REQUIRED Core)

find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)

if (UNIX)
  find_package(UTEMPTER)
  set_package_properties(UTEMPTER PROPERTIES
      TYPE OPTIONAL
      PURPOSE "Required by KPty for managing UTMP entries"
)

  set(HAVE_UTEMPTER ${UTEMPTER_FOUND})
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Pty")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KPTY
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpty_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PtyConfigVersion.cmake"
  SOVERSION 5)

add_definitions(-DTRANSLATION_DOMAIN=\"kpty5\")
ki18n_install(po)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.95
)

add_subdirectory( src )
if (BUILD_TESTING)
    add_subdirectory( autotests )
endif()

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Pty_QCH
        FILE KF5PtyQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5PtyQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PtyConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PtyConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PtyConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PtyConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5PtyTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5PtyTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kpty_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KPty COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
add_library(KF5Pty)
add_library(KF5::Pty ALIAS KF5Pty)

target_sources(KF5Pty PRIVATE
    kpty.cpp
    kptydevice.cpp
    kptydevice.h
    kpty.h
    kpty_p.h
    kptyprocess.cpp
    kptyprocess.h
)

ecm_qt_declare_logging_category(KF5Pty
    HEADER kpty_debug.h
    IDENTIFIER KPTY_LOG
    CATEGORY_NAME kf.pty
    DESCRIPTION "KPty"
    EXPORT KPTY
)

generate_export_header(KF5Pty BASE_NAME KPty)

include(ConfigureChecks.cmake)
configure_file(config-pty.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-pty.h )

target_include_directories(KF5Pty INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KPty>")

target_link_libraries(KF5Pty PUBLIC Qt${QT_MAJOR_VERSION}::Core
                                    KF5::CoreAddons # KProcess
                             PRIVATE
                                    ${UTIL_LIBRARY}
                                    KF5::I18n)

target_include_directories(KF5Pty PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/..)
if(UTEMPTER_FOUND)
  target_compile_definitions(KF5Pty PRIVATE ${UTEMPTER_COMPILE_FLAGS})
endif()

set_target_properties(KF5Pty PROPERTIES
   VERSION ${KPTY_VERSION}
   SOVERSION ${KPTY_SOVERSION}
   EXPORT_NAME Pty
)

ecm_generate_headers(KPty_HEADERS
  HEADER_NAMES
  KPty
  KPtyDevice
  KPtyProcess

  REQUIRED_HEADERS KPty_HEADERS
)

install(TARGETS KF5Pty EXPORT KF5PtyTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kpty_export.h
  ${KPty_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KPty COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5Pty_QCH
        NAME KPty
        BASE_NAME KF5Pty
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KPty_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
            KF5CoreAddons_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KPTY_EXPORT
            KPTY_DEPRECATED
            KPTY_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

########### next target ###############

if (NOT HAVE_OPENPTY)
   add_executable(kgrantpty kgrantpty.c)
   ecm_mark_nongui_executable(kgrantpty)
   install(TARGETS kgrantpty DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF})
endif ()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KPty LIB_NAME KF5Pty DEPS "core KCoreAddons" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KPty)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

ecm_qt_install_logging_categories(
    EXPORT KPTY
    FILE kpty.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

=== debian/changelog ===
kpty (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).
  * Update symbols from build for 5.97.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:34 +0200

=== debian/control ===
Source: kpty
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.97.0~),
               libkf5coreaddons-dev (>= 5.97.0~),
               libkf5i18n-dev (>= 5.97.0~),
               libqt5sql5-sqlite,
               libutempter-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/frameworks/kpty
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpty
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpty.git
Rules-Requires-Root: no

Package: libkf5pty-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Pty abstraction.
 Provides primitives for opening & closing a pseudo
 TTY pair, assigning the controlling TTY, utmp
 registration and setting various terminal attributes.
 .
 This package contains the translations

Package: libkf5pty-dev
Section: libdevel
Architecture: any
Depends: libkf5coreaddons-dev (>= 5.97.0~),
         libkf5i18n-dev (>= 5.97.0~),
         libkf5pty5 (= ${binary:Version}),
         ${misc:Depends},
Recommends: libkf5pty-doc (= ${source:Version})
Description: development files for kpty
 Provides primitives for opening & closing a pseudo
 TTY pair, assigning the controlling TTY, utmp
 registration and setting various terminal attributes.
 .
 Contains development files for kpty.
Breaks: libkf5su-dev (<< 5.54)

Package: libkf5pty-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Pty abstraction (documentation)
 Provides primitives for opening & closing a pseudo
 TTY pair, assigning the controlling TTY, utmp
 registration and setting various terminal attributes.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5pty5
Architecture: any
Multi-Arch: same
Depends: libkf5pty-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5su-bin (<< 5.42), libkf5su5 (<< 5.54)
Description: Pty abstraction.
 Provides primitives for opening & closing a pseudo
 TTY pair, assigning the controlling TTY, utmp
 registration and setting various terminal attributes.

## kpty 5.98.0

=== debian/changelog ===
kpty (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:43 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.97.0~),
-               libkf5coreaddons-dev (>= 5.97.0~),
-               libkf5i18n-dev (>= 5.97.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
                libqt5sql5-sqlite,
                libutempter-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -36,8 +36,8 @@
 Package: libkf5pty-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.97.0~),
-         libkf5i18n-dev (>= 5.97.0~),
+Depends: libkf5coreaddons-dev (>= 5.98.0~),
+         libkf5i18n-dev (>= 5.98.0~),
          libkf5pty5 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf5pty-doc (= ${source:Version})

## kpty 5.100.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.97.0") # handled by release scripts
-set(KF_DEP_VERSION "5.97.0") # handled by release scripts
+set(KF_VERSION "5.100.0") # handled by release scripts
+set(KF_DEP_VERSION "5.100.0") # handled by release scripts
 project(KPty VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.97.0  NO_MODULE)
+find_package(ECM 5.100.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -60,7 +60,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 5.15.2
-    KF 5.95
+    KF 5.97
 )
 
 add_subdirectory( src )

=== debian/changelog ===
kpty (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:01 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.98.0~),
-               libkf5coreaddons-dev (>= 5.98.0~),
-               libkf5i18n-dev (>= 5.98.0~),
+               extra-cmake-modules (>= 5.100.0~),
+               libkf5coreaddons-dev (>= 5.100.0~),
+               libkf5i18n-dev (>= 5.100.0~),
                libqt5sql5-sqlite,
                libutempter-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -36,8 +36,8 @@
 Package: libkf5pty-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.98.0~),
-         libkf5i18n-dev (>= 5.98.0~),
+Depends: libkf5coreaddons-dev (>= 5.100.0~),
+         libkf5i18n-dev (>= 5.100.0~),
          libkf5pty5 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf5pty-doc (= ${source:Version})

## kpty 5.101.0

=== debian/changelog ===
kpty (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:28 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.100.0~),
-               libkf5coreaddons-dev (>= 5.100.0~),
-               libkf5i18n-dev (>= 5.100.0~),
+               extra-cmake-modules (>= 5.101.0~),
+               libkf5coreaddons-dev (>= 5.101.0~),
+               libkf5i18n-dev (>= 5.101.0~),
                libqt5sql5-sqlite,
                libutempter-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -36,8 +36,8 @@
 Package: libkf5pty-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.100.0~),
-         libkf5i18n-dev (>= 5.100.0~),
+Depends: libkf5coreaddons-dev (>= 5.101.0~),
+         libkf5i18n-dev (>= 5.101.0~),
          libkf5pty5 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf5pty-doc (= ${source:Version})

## kpty 5.102.0

=== debian/changelog ===
kpty (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:05 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.101.0~),
-               libkf5coreaddons-dev (>= 5.101.0~),
-               libkf5i18n-dev (>= 5.101.0~),
+               extra-cmake-modules (>= 5.102.0~),
+               libkf5coreaddons-dev (>= 5.102.0~),
+               libkf5i18n-dev (>= 5.102.0~),
                libqt5sql5-sqlite,
                libutempter-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kpty
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpty
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpty.git
@@ -36,8 +36,8 @@
 Package: libkf5pty-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.101.0~),
-         libkf5i18n-dev (>= 5.101.0~),
+Depends: libkf5coreaddons-dev (>= 5.102.0~),
+         libkf5i18n-dev (>= 5.102.0~),
          libkf5pty5 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf5pty-doc (= ${source:Version})

## kpty 5.103.0

=== debian/changelog ===
kpty (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:27 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.102.0~),
-               libkf5coreaddons-dev (>= 5.102.0~),
-               libkf5i18n-dev (>= 5.102.0~),
+               extra-cmake-modules (>= 5.103.0~),
+               libkf5coreaddons-dev (>= 5.103.0~),
+               libkf5i18n-dev (>= 5.103.0~),
                libqt5sql5-sqlite,
                libutempter-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -25,7 +25,7 @@
 Package: libkf5pty-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Pty abstraction.
  Provides primitives for opening & closing a pseudo
  TTY pair, assigning the controlling TTY, utmp
@@ -36,23 +36,23 @@
 Package: libkf5pty-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.102.0~),
-         libkf5i18n-dev (>= 5.102.0~),
+Depends: libkf5coreaddons-dev (>= 5.103.0~),
+         libkf5i18n-dev (>= 5.103.0~),
          libkf5pty5 (= ${binary:Version}),
          ${misc:Depends},
-Recommends: libkf5pty-doc (= ${source:Version})
+Recommends: libkf5pty-doc (= ${source:Version}),
 Description: development files for kpty
  Provides primitives for opening & closing a pseudo
  TTY pair, assigning the controlling TTY, utmp
  registration and setting various terminal attributes.
  .
  Contains development files for kpty.
-Breaks: libkf5su-dev (<< 5.54)
+Breaks: libkf5su-dev (<< 5.54),
 
 Package: libkf5pty-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Pty abstraction (documentation)
  Provides primitives for opening & closing a pseudo
  TTY pair, assigning the controlling TTY, utmp
@@ -67,7 +67,7 @@
 Depends: libkf5pty-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: libkf5su-bin (<< 5.42), libkf5su5 (<< 5.54)
+Breaks: libkf5su-bin (<< 5.42), libkf5su5 (<< 5.54),
 Description: Pty abstraction.
  Provides primitives for opening & closing a pseudo
  TTY pair, assigning the controlling TTY, utmp

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kpty 5.104.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.100.0") # handled by release scripts
-set(KF_DEP_VERSION "5.100.0") # handled by release scripts
+set(KF_VERSION "5.104.0") # handled by release scripts
+set(KF_DEP_VERSION "5.104.0") # handled by release scripts
 project(KPty VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.100.0  NO_MODULE)
+find_package(ECM 5.104.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kpty (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:56 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.103.0~),
-               libkf5coreaddons-dev (>= 5.103.0~),
-               libkf5i18n-dev (>= 5.103.0~),
+               extra-cmake-modules (>= 5.104.0~),
+               libkf5coreaddons-dev (>= 5.104.0~),
+               libkf5i18n-dev (>= 5.104.0~),
                libqt5sql5-sqlite,
                libutempter-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -36,8 +36,8 @@
 Package: libkf5pty-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.103.0~),
-         libkf5i18n-dev (>= 5.103.0~),
+Depends: libkf5coreaddons-dev (>= 5.104.0~),
+         libkf5i18n-dev (>= 5.104.0~),
          libkf5pty5 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf5pty-doc (= ${source:Version}),

## kpty 5.107.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.104.0") # handled by release scripts
-set(KF_DEP_VERSION "5.104.0") # handled by release scripts
+set(KF_VERSION "5.107.0") # handled by release scripts
+set(KF_DEP_VERSION "5.107.0") # handled by release scripts
 project(KPty VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.104.0  NO_MODULE)
+find_package(ECM 5.107.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kpty (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:37 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.104.0~),
-               libkf5coreaddons-dev (>= 5.104.0~),
-               libkf5i18n-dev (>= 5.104.0~),
+               extra-cmake-modules (>= 5.107.0~),
+               libkf5coreaddons-dev (>= 5.107.0~),
+               libkf5i18n-dev (>= 5.107.0~),
                libqt5sql5-sqlite,
                libutempter-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -36,8 +36,8 @@
 Package: libkf5pty-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.104.0~),
-         libkf5i18n-dev (>= 5.104.0~),
+Depends: libkf5coreaddons-dev (>= 5.107.0~),
+         libkf5i18n-dev (>= 5.107.0~),
          libkf5pty5 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf5pty-doc (= ${source:Version}),

## kpty 5.109.0

=== debian/changelog ===
kpty (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:50:41 +0100

kpty (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:22:04 +0100

kpty (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:06:55 +0100

kpty (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:47:53 +0100

kpty (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:17:57 +0000

kpty (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:44:47 +0000

kpty (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:58:21 +0000

kpty (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:21:58 +0000

kpty (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:16:17 +0000

kpty (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 11:00:34 +0000

kpty (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:33:21 +0100

kpty (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:05:41 +0100

kpty (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:31:25 +0100

kpty (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:57:10 +0100

kpty (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:20:55 +0100

kpty (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:24:20 +0100

=== debian/control ===
Source: kpty
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.109.0~),
               libkf5coreaddons-dev (>= 5.109.0~),
               libkf5i18n-dev (>= 5.109.0~),
               libqt5sql5-sqlite,
               libutempter-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kpty
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpty
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpty
Rules-Requires-Root: no

Package: libkf5pty-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Pty abstraction.
 Provides primitives for opening & closing a pseudo
 TTY pair, assigning the controlling TTY, utmp
 registration and setting various terminal attributes.
 .
 This package contains the translations

Package: libkf5pty-dev
Section: libdevel
Architecture: any
Depends: libkf5coreaddons-dev (>= 5.109.0~),
         libkf5i18n-dev (>= 5.109.0~),
         libkf5pty5 (= ${binary:Version}),
         ${misc:Depends},
Recommends: libkf5pty-doc (= ${source:Version})
Description: development files for kpty
 Provides primitives for opening & closing a pseudo
 TTY pair, assigning the controlling TTY, utmp
 registration and setting various terminal attributes.
 .
 Contains development files for kpty.
Breaks: libkf5su-dev (<< 5.54)

Package: libkf5pty-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Pty abstraction (documentation)
 Provides primitives for opening & closing a pseudo
 TTY pair, assigning the controlling TTY, utmp
 registration and setting various terminal attributes.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5pty5
Architecture: any
Multi-Arch: same
Depends: libkf5pty-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5su-bin (<< 5.42), libkf5su5 (<< 5.54)
Description: Pty abstraction.
 Provides primitives for opening & closing a pseudo
 TTY pair, assigning the controlling TTY, utmp
 registration and setting various terminal attributes.

## kpty 5.110.0

=== debian/changelog ===
kpty (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:09:48 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
-               libkf5coreaddons-dev (>= 5.109.0~),
-               libkf5i18n-dev (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
+               libkf5coreaddons-dev (>= 5.110.0~),
+               libkf5i18n-dev (>= 5.110.0~),
                libqt5sql5-sqlite,
                libutempter-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -36,8 +36,8 @@
 Package: libkf5pty-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.109.0~),
-         libkf5i18n-dev (>= 5.109.0~),
+Depends: libkf5coreaddons-dev (>= 5.110.0~),
+         libkf5i18n-dev (>= 5.110.0~),
          libkf5pty5 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf5pty-doc (= ${source:Version})

## kpty 5.113.0

=== debian/changelog ===
kpty (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:44:55 +0000

kpty (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:49:49 +0000

kpty (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:59:32 +0000

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
-               libkf5coreaddons-dev (>= 5.110.0~),
-               libkf5i18n-dev (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
+               libkf5coreaddons-dev (>= 5.113.0~),
+               libkf5i18n-dev (>= 5.113.0~),
                libqt5sql5-sqlite,
                libutempter-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -36,8 +36,8 @@
 Package: libkf5pty-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.110.0~),
-         libkf5i18n-dev (>= 5.110.0~),
+Depends: libkf5coreaddons-dev (>= 5.113.0~),
+         libkf5i18n-dev (>= 5.113.0~),
          libkf5pty5 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf5pty-doc (= ${source:Version})

## kpty 5.115.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.107.0") # handled by release scripts
-set(KF_DEP_VERSION "5.107.0") # handled by release scripts
+set(KF_VERSION "5.115.0") # handled by release scripts
+set(KF_DEP_VERSION "5.115.0") # handled by release scripts
 project(KPty VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.107.0  NO_MODULE)
+find_package(ECM 5.115.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -52,7 +52,7 @@
   REQUIRED_HEADERS KPty_HEADERS
 )
 
-install(TARGETS KF5Pty EXPORT KF5PtyTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS KF5Pty EXPORT KF5PtyTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
 
 install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kpty_export.h

=== debian/changelog ===
kpty (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:12:20 +0200

kpty (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Fix FTCBFS: Specify location of utempter, thx to Helmut Grohne
    (Closes: #1024024).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:00:30 +0100

=== debian/control ===
Source: kpty
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.115.0~),
               libkf5coreaddons-dev (>= 5.115.0~),
               libkf5i18n-dev (>= 5.115.0~),
               libqt5sql5-sqlite,
               libutempter-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kpty
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpty
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpty.git
Rules-Requires-Root: no

Package: libkf5pty-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Pty abstraction.
 Provides primitives for opening & closing a pseudo
 TTY pair, assigning the controlling TTY, utmp
 registration and setting various terminal attributes.
 .
 This package contains the translations

Package: libkf5pty-dev
Section: libdevel
Architecture: any
Depends: libkf5coreaddons-dev (>= 5.115.0~),
         libkf5i18n-dev (>= 5.115.0~),
         libkf5pty5 (= ${binary:Version}),
         ${misc:Depends},
Recommends: libkf5pty-doc (= ${source:Version}),
Description: development files for kpty
 Provides primitives for opening & closing a pseudo
 TTY pair, assigning the controlling TTY, utmp
 registration and setting various terminal attributes.
 .
 Contains development files for kpty.
Breaks: libkf5su-dev (<< 5.54),

Package: libkf5pty-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Pty abstraction (documentation)
 Provides primitives for opening & closing a pseudo
 TTY pair, assigning the controlling TTY, utmp
 registration and setting various terminal attributes.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5pty5
Architecture: any
Multi-Arch: same
Depends: libkf5pty-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5su-bin (<< 5.42), libkf5su5 (<< 5.54),
Description: Pty abstraction.
 Provides primitives for opening & closing a pseudo
 TTY pair, assigning the controlling TTY, utmp
 registration and setting various terminal attributes.

## kpty 5.116.0

=== autotests/CMakeLists.txt ===
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)

find_package(Qt${QT_MAJOR_VERSION} "${REQUIRED_QT_VERSION}" CONFIG REQUIRED Test)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

add_executable(kptyprocesstest kptyprocesstest.cpp)
target_link_libraries(kptyprocesstest KF5::Pty Qt${QT_MAJOR_VERSION}::Test)
ecm_mark_as_test(kptyprocesstest)
ecm_mark_nongui_executable(kptyprocesstest)
add_test(NAME kptyprocesstest COMMAND kptyprocesstest)

=== debian/changelog ===
kpty (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:41:17 +0200

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,19 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
-               libkf5coreaddons-dev (>= 5.115.0~),
-               libkf5i18n-dev (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
+               libkf5coreaddons-dev (>= 5.116.0~),
+               libkf5i18n-dev (>= 5.116.0~),
                libqt5sql5-sqlite,
                libutempter-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kpty
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpty
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpty.git
@@ -36,8 +36,8 @@
 Package: libkf5pty-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5coreaddons-dev (>= 5.115.0~),
-         libkf5i18n-dev (>= 5.115.0~),
+Depends: libkf5coreaddons-dev (>= 5.116.0~),
+         libkf5i18n-dev (>= 5.116.0~),
          libkf5pty5 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf5pty-doc (= ${source:Version}),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DUTEMPTER_EXECUTABLE=/usr/lib/$(DEB_HOST_MULTIARCH)/utempter/utempter
endif

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON $(extra_cmake_args)

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kpty 5.116.0+p24.04+vstable+git20251015.0828

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.115.0") # handled by release scripts
-set(KF_DEP_VERSION "5.115.0") # handled by release scripts
+set(KF_VERSION "5.117.0") # handled by release scripts
+set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project(KPty VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.115.0  NO_MODULE)
+find_package(ECM 5.116.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kpty (5.116.0+p24.04+vstable+git20251015.0828-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:28:22 +0000

kpty (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:43:16 +1000

kpty (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:39:03 +0000

kpty (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:27:39 +0000

kpty (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:07:04 +0000

kpty (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:49:28 +0000

kpty (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 17:22:14 +0000

kpty (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:30:29 +0000

kpty (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 02:22:20 +0000

kpty (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:14:30 +0000

kpty (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:46:36 +0000

kpty (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 08:03:40 +0000

kpty (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 09:57:30 +0000

kpty (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:31:58 +0000

kpty (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:40:19 +0000

kpty (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 12:00:11 +0000

kpty (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 12:02:01 +0000

kpty (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:12:04 +0000

kpty (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:25:37 +0000

kpty (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:33:35 +0000

kpty (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 12:06:29 +0000

kpty (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:37:15 +0000

kpty (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Jun 2022 11:01:52 +0000

kpty (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:42:12 +0000

kpty (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jan 2022 15:10:59 +0000

kpty (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:26:07 +0000

kpty (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:55:27 +0000

kpty (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Oct 2021 18:31:05 +0000

kpty (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:11:10 +0000

kpty (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:19:33 +0000

kpty (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:28:05 +0000

kpty (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:17:49 +0000

kpty (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:12:26 +0000

kpty (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:18:25 +0000

kpty (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:59:06 +0000

kpty (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:25:30 +0000

kpty (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:07:06 +0000

kpty (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:32:26 +0000

kpty (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:42:13 +0000

kpty (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:32:40 +0000

kpty (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:26:29 +0000

kpty (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:38:24 +0000

kpty (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:57:44 +0000

kpty (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:42:47 +0000

kpty (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:21:19 +0000

kpty (5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Mar 2020 13:21:52 +0000

kpty (5.67.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2020 21:06:36 +0000

kpty (5.66.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Jan 2020 13:25:09 +0000



## kpty 5.116.0+p24.04+vstable+git20251019.0526

=== debian/changelog ===
kpty (5.116.0+p24.04+vstable+git20251019.0526-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:26:24 +0000

=== debian/control ===
Source: kpty
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libkf5coreaddons-dev (>= 5.51.0~),
               libkf5i18n-dev (>= 5.51.0~),
               libqt5sql5-sqlite,
               libutempter-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kpty
Vcs-Git: https://invent.kde.org/neon/kde/kpty.git
Vcs-Browser: https://invent.kde.org/neon/kde/kpty
Maintainer: Neon CI <neon@kde.org>

Package: libkf5pty-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Pty abstraction.
 Provides primitives for opening & closing a pseudo
 TTY pair, assigning the controlling TTY, utmp
 registration and setting various terminal attributes.
 .
 This package contains the translations

Package: libkf5pty-dev
Section: libdevel
Architecture: any
Depends: libkf5coreaddons-dev (>= 5.51.0~),
         libkf5i18n-dev (>= 5.51.0~),
         libkf5pty5 (= ${binary:Version}),
         ${misc:Depends}
Recommends: libkf5pty-doc (= ${source:Version})
Breaks: libkf5su-dev (<< 5.51)
Replaces: libkf5pty-doc (<< 5.61.90-0)
Description: development files for kpty
 Provides primitives for opening & closing a pseudo
 TTY pair, assigning the controlling TTY, utmp
 registration and setting various terminal attributes.
 .
 Contains development files for kpty.

Package: libkf5pty-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Pty abstraction (documentation)
 Provides primitives for opening & closing a pseudo
 TTY pair, assigning the controlling TTY, utmp
 registration and setting various terminal attributes.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5pty5
Architecture: any
Multi-Arch: same
Depends: libkf5pty-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5su-bin (<< 5.42), libkf5su5 (<< 5.51)
Description: Pty abstraction.
 Provides primitives for opening & closing a pseudo
 TTY pair, assigning the controlling TTY, utmp
 registration and setting various terminal attributes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5pty5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]+)/kpty-([\d.]+)\.tar\.xz

## kpty 5.116.0+p24.04+vstable+git20251220.0115

=== debian/changelog ===
kpty (5.116.0+p24.04+vstable+git20251220.0115-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 01:15:26 +0000

## kpty 5.116.0+p24.04+vstable+git20251224.0627

=== debian/changelog ===
kpty (5.116.0+p24.04+vstable+git20251224.0627-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 06:27:16 +0000

## kpty 5.116.0+p24.04+vstable+git20260113.0256

=== debian/changelog ===
kpty (5.116.0+p24.04+vstable+git20260113.0256-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 02:56:49 +0000

## kpty 5.116.0+p24.04+vunstable+git20251015.0946

=== debian/changelog ===
kpty (5.116.0+p24.04+vunstable+git20251015.0946-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:46:09 +0000

## kpty 5.116.0+p24.04+vunstable+git20251021.0325

=== debian/changelog ===
kpty (5.116.0+p24.04+vunstable+git20251021.0325-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:25:38 +0000
